For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETPreview Resignation Letter
      • POSTRequest contract resignation
      • GETRetrieve worker resignations
      • POSTSign Resignation Letter
      • POSTSubmit EOR Worker Resignation
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Offboarding

Retrieve worker resignations

GET
/eor/workers/resignations
GET
/rest/v2/eor/workers/resignations
$curl -G https://api.letsdeel.com/rest/v2/eor/workers/resignations \
> -H "Authorization: Bearer <token>" \
> -d status=AWAITING_SIGNATURE
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "status": "COMPLETED",
6 "end_date": "2025-01-01T00:00:00Z",
7 "created_at": "2025-01-01T00:00:00Z",
8 "updated_at": "2025-01-01T00:00:00Z",
9 "contract_id": "ABC123",
10 "desired_end_date": "2025-01-01T00:00:00Z",
11 "resignation_letter": {
12 "id": "123e4567-e89b-12d3-a456-426614174000",
13 "status": "AWAITING_SIGNATURE",
14 "signature": "John Doe",
15 "signed_at": "2025-01-01T00:00:00Z",
16 "created_at": "2025-01-01T00:00:00Z",
17 "updated_at": "2025-01-01T00:00:00Z"
18 }
19 }
20 ]
21}

Returns resignations submitted by EOR workers, optionally filtered by resignation letter status. Token scopes: worker:read

Was this page helpful?
Previous

Sign Resignation Letter

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

statusenumOptional
Filter by resignation letter status
Allowed values:

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication